Rotate3D method example

Sub Rotate3D_Example()

' This example creates a cone in model space.

' It then rotates the cone about an axis.        

    Dim coneObj As Acad3DSolid

    Dim conePt(0 To 2) As Double

    Dim rotPt1(0 To 2) As Double

    Dim rotPt2(0 To 2) As Double

    conePt(0) = 2: conePt(1) = 2: conePt(2) = 0

    rotPt1(0) = 1: rotPt1(1) = 2: rotPt1(2) = 0

    rotPt2(0) = 3: rotPt2(1) = 4: rotPt2(2) = 0

    Set coneObj = ThisDrawing.ModelSpace.AddCone(conePt, 3, 4)

    coneObj.Update

    ' Rotate the cone

    coneObj.Rotate3D rotPt1, rotPt2, 10

    ThisDrawing.Application.ZoomAll

End Sub

 


Bricscad™ is commercialized by Bricsys NV. Bricsys NV and Vondle NV are fully owned subsidiaries of Menhirs NV. © 2001- Menhirs NV - All rights reserved.